// DialogLines.cpp : implementation file
//

#include "stdafx.h"
#include "OpenGL.h"
#include "DialogLines.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// DialogLines dialog


DialogLines::DialogLines(CWnd* pParent /*=NULL*/)
	: CDialog(DialogLines::IDD, pParent)
{
	//{{AFX_DATA_INIT(DialogLines)
	LineObj = -1;
	Line = 0;
	//}}AFX_DATA_INIT
}


void DialogLines::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(DialogLines)
	DDX_Control(pDX, IDC_SLIDER1, c_Line);
	DDX_CBIndex(pDX, IDC_COMBO1, LineObj);
	DDX_Slider(pDX, IDC_SLIDER1, Line);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(DialogLines, CDialog)
	//{{AFX_MSG_MAP(DialogLines)
	ON_CBN_SELCHANGE(IDC_COMBO1, OnSelchangeCombo1)
	ON_WM_SHOWWINDOW()
	ON_NOTIFY(NM_RELEASEDCAPTURE, IDC_SLIDER1, OnLineSlider1)
	ON_BN_CLICKED(IDC_Default2, OnDefault2)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// DialogLines message handlers

void DialogLines::OnSelchangeCombo1() 
{
CWnd* WndSlider;
CWnd* WndText;
CWnd* WndButton;
WndSlider=GetDlgItem(IDC_SLIDER1);
WndText=GetDlgItem(IDC_STATIC1);
WndButton=GetDlgItem(IDC_Default2);
WndSlider->ShowWindow(TRUE);
WndText->ShowWindow(TRUE);
WndButton->ShowWindow(TRUE);	
UpdateData();
c_Line.SetPos(3);
UpdateData();
SoundWav("PIC");
}

void DialogLines::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CDialog::OnShowWindow(bShow, nStatus);
    c_Line.SetRange(1,15,TRUE);	
}

void DialogLines::OnOK() 
{
    SoundWav("CLOSE");	
	CDialog::OnOK();
}
